.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: 0;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  -webkit-clip-path: inset(50%);
  clip-path: inset(50%);
  border: 0;
}

.loading-spinner {
  color: var(--branding-default);
  font-size: 20px;
  margin: 100px auto;
  width: 1em;
  height: 1em;
  border-radius: 50%;
  position: relative;
  text-indent: -9999em;
  animation: loadingSpinner 1.3s infinite linear;
  transform: translateZ(0);
}

@keyframes loadingSpinner {
  0%,
  100% {
    box-shadow: 0 -3em 0 0.2em, 2em -2em 0 0em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em,
      -3em 0 0 -1em, -2em -2em 0 0;
  }
  12.5% {
    box-shadow: 0 -3em 0 0, 2em -2em 0 0.2em, 3em 0 0 0, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em,
      -2em -2em 0 -1em;
  }
  25% {
    box-shadow: 0 -3em 0 -0.5em, 2em -2em 0 0, 3em 0 0 0.2em, 2em 2em 0 0, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em,
      -2em -2em 0 -1em;
  }
  37.5% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 0, 2em 2em 0 0.2em, 0 3em 0 0em, -2em 2em 0 -1em,
      -3em 0em 0 -1em, -2em -2em 0 -1em;
  }
  50% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 0em, 0 3em 0 0.2em, -2em 2em 0 0,
      -3em 0em 0 -1em, -2em -2em 0 -1em;
  }
  62.5% {
    box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 0, -2em 2em 0 0.2em, -3em 0 0 0,
      -2em -2em 0 -1em;
  }
  75% {
    box-shadow: 0em -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0,
      -3em 0em 0 0.2em, -2em -2em 0 0;
  }
  87.5% {
    box-shadow: 0em -3em 0 0, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0,
      -2em -2em 0 0.2em;
  }
}

.rm-top {
  margin-top: 0 !important;
}

.rm-bottom {
  margin-bottom: 0 !important;
}

.rm-left {
  margin-left: 0 !important;
}

.rm-right {
  margin-right: 0 !important;
}

.rp-top {
  padding-top: 0 !important;
}

.rp-bottom {
  padding-bottom: 0 !important;
}

.rp-left {
  padding-left: 0 !important;
}

.rp-right {
  padding-right: 0 !important;
}

.text-center {
  text-align: center;
}

.cdm-key-value-list {
  list-style: none;
  margin: 0;
  padding: 0;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(120px, 1fr));
  gap: 8px;

  > li {
    display: flex;
    flex-flow: column;
  }

  .cdm-kv-key {
    font-size: 10px;
  }

  .cdm-kv-value {
    font-size: 16px;
  }
}

.flex-space-between {
  display: flex;
  justify-content: space-between;
}

.flex-space-around {
  display: flex;
  justify-content: space-around;
}

.flex-justify-start {
  display: flex;
  justify-content: flex-start;
}

.flex-justify-center {
  display: flex;
  justify-content: center;
}

.flex-justify-end {
  display: flex;
  justify-content: flex-end;
}

.flex-align-items-center {
  align-items: center;
}

.flex-align-items-start {
  align-items: flex-start;
}

.flex-align-items-end {
  align-items: flex-end;
}

.flex-direction-column {
  flex-direction: column;
}

.flex-direction-column-reverse {
  flex-direction: column-reverse;
}

.flex-direction-row {
  flex-direction: row;
}

.flex-direction-row-reverse {
  flex-direction: row-reverse;
}

.gap-8 {
  gap: 8px;
}

.gap-16 {
  gap: 16px;
}

.mb-4 {
  margin-bottom: 4px;
}

.mb-8 {
  margin-bottom: 8px;
}

.mb-16 {
  margin-bottom: 16px;
}

.mt-8 {
  margin-top: 8px;
}

.mt-16 {
  margin-top: 16px;
}

.ml-4 {
  margin-left: 4px;
}

.ml-8 {
  margin-left: 8px;
}

.ml-16 {
  margin-left: 16px;
}

.mr-4 {
  margin-right: 4px;
}

.mr-8 {
  margin-right: 8px;
}

.mr-16 {
  margin-right: 16px;
}

.h-100 {
  height: 100%;
}

.w-100 {
  width: 100%;
}

.w-50 {
  width: 50%;
}

.w-25 {
  width: 25%;
}

.w-75 {
  width: 75%;
}
.h-75 {
  height: 75%;
}

.h-50 {
  height: 50%;
}

.h-25 {
  height: 25%;
}

.d-flex {
  display: flex;
}

.gap-64 {
  gap: 64px;
}

.gap-32 {
  gap: 32px;
}

.flex-wrap {
  flex-wrap: wrap;
}

.flex-align-content-center {
  align-content: center;
}

h1,
h2,
h3,
h4,
h5,
h6,
.t-display,
.t-headline,
.t-subheadline,
.t-semibold {
  font-family: "Barlow";
  font-style: normal;
  letter-spacing: 0.2px;
  text-wrap: wrap;
  text-align: center;
}

.t-bold {
  font-weight: 600;
}

.t-display,
.t-display-regular {
  font-size: 36px;
}

.t-headline,
.t-headline-regular {
  font-size: 24px;
  letter-spacing: 0.3px;
}

.t-subheadline,
.t-subheadline-regular {
  font-size: 20px;
}

.t-body {
  font-size: 16px;
}

.t-body-s {
  font-size: 14px;
}

.t-caption {
  font-size: 12px;
}

.t-input {
  font-size: 10px;
}

.t-regular,
.t-display-regular,
.t-headline-regular,
.t-subheadline-regular {
  font-weight: 400;
}

.highlight-bold {
  font-weight: bold;
  letter-spacing: 0.2px;
  color: var(--branding-default);
}

.font-size-43 {
  font-size: 43px;
}

/* Added CSS classes */
.rm-margin {
  margin: 0;
}

.font-barlow {
  font-family: "Barlow";
}

.font-size-22 {
  font-size: 22px;
}

.h-64 {
  height: 64px;
}

.mt-20 {
  margin-top: 20px;
}

.color-branding-default {
  color: #004799;
}

.color-branding-secondary-default {
  color: #ffdcbb;
}

.color-grey-base {
  color: #9c9c9c;
}

.flex-wrap {
  flex-wrap: wrap;
}

.padding-16 {
  padding: 16px;
}

.no-text-decoration {
  text-decoration: none;
}
